/**
 * Copyright (c) 2000-2011 Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */

package com.liferay.wsrp.util;

import com.liferay.portal.kernel.util.GetterUtil;
import com.liferay.util.portlet.PortletProps;

/**
 * @author Brian Wing Shun Chan
 */
public class PortletPropsValues {

	public static final String[] CONSUMER_REQUEST_EXTENSIONS =
		PortletProps.getArray(PortletPropsKeys.CONSUMER_REQUEST_EXTENSIONS);

	public static final String[] PROXY_URL_IPS_ALLOWED =
		PortletProps.getArray(PortletPropsKeys.PROXY_URL_IPS_ALLOWED);

	public static final boolean SECURE_RESOURCE_URLS_ENABLED =
		GetterUtil.getBoolean(
			PortletProps.get(PortletPropsKeys.SECURE_RESOURCE_URLS_ENABLED));

	public static final String[] SECURE_RESOURCE_URLS_SALT =
		PortletProps.getArray(PortletPropsKeys.SECURE_RESOURCE_URLS_SALT);

	public static final boolean SOAP_DEBUG = GetterUtil.getBoolean(
		PortletProps.get(PortletPropsKeys.SOAP_DEBUG));

}